curl --request POST \
--url https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}/invitations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"invitation": {
"role": "organisation_admin",
"recipientEmailAddress": "docsmember2@example.com"
}
}
'{
"invitation": {
"id": "neqek",
"senderId": "9gd5l",
"recipientEmailAddress": "tom+docsmember2@wiremock.io",
"newUser": true,
"role": "organisation_admin",
"created": "2024-10-30T19:28:23.802551Z",
"links": {
"self": "/v1/organisations/mgk7g/invitations/neqek"
}
}
}Organisations
Invite a user to an organisation
Invite a user to join an organisation.
POST
/
v1
/
organisations
/
{organisationId}
/
invitations
curl --request POST \
--url https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}/invitations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"invitation": {
"role": "organisation_admin",
"recipientEmailAddress": "docsmember2@example.com"
}
}
'{
"invitation": {
"id": "neqek",
"senderId": "9gd5l",
"recipientEmailAddress": "tom+docsmember2@wiremock.io",
"newUser": true,
"role": "organisation_admin",
"created": "2024-10-30T19:28:23.802551Z",
"links": {
"self": "/v1/organisations/mgk7g/invitations/neqek"
}
}
}Path Parameters
The ID of the organisation
Required string length:
5 - 10Example:
"jjl8y"
Query Parameters
The search query to filter by. Partially matched against recipient email address.
Example:
"docs@example.com"
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
Success
Show child attributes
Show child attributes